# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-kitchen
%define fedora 19
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-module-kitchen
Version:        1.1.1
Release:        alt1_3
Summary:        Small, useful pieces of code to make python coding easier

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/kitchen/
Source0:        https://fedorahosted.org/releases/k/i/kitchen/kitchen-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-nose
%if 0%{?fedora} || 0%{?rhel} >=  6
# sphinx needs to be more recent to build the html docs
BuildRequires: python-module-sphinx
%endif
%if 0%{?fedora} || 0%{?rhel} >  6
# At present, chardet isn't present in epel but it's a soft dep
BuildRequires: python-module-chardet
%endif
Source44: import.info

%description
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

%prep
%setup -q -n kitchen-%{version}


%build
%{__python} setup.py build
# Build docs
%if 0%{?fedora} || 0%{?rhel} >= 6
%{__python} setup.py build_sphinx
cp -pr build/sphinx/html .
rm -rf html/.buildinfo

%endif

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc COPYING README NEWS COPYING.LESSER docs/
%if 0%{?fedora} || 0%{?rhel} >= 6
%doc html
%endif
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_3
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_2
- update to new release by fcimport

* Mon Jun 11 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_1
- update to new fc release

